@keyframes loaderAnimation {
    0% {
        transform: translate3d(-30%, 0, 0);
    }

    100% {
        transform: translate3d(30%, 0, 0);
    }
}

.loader-container {
    position: relative;
    overflow-x: hidden;

    &::before {
        position: absolute;
        top: 0;
        right: 0;
        bottom: 0;
        left: 50%;
        z-index: 1;
        width: 500%;
        margin-left: -250%;
        background: linear-gradient(90deg, hsla(0, 0%, 100%, 0) 46%, rgba(243, 244, 246, 1) 50%, hsla(0, 0%, 100%, 0) 54%) 50% 50%;

        .dark & {
            background: linear-gradient(90deg, hsla(0, 0%, 100%, 0) 46%, rgba(31, 41, 55, 1) 50%, hsla(0, 0%, 100%, 0) 54%) 50% 50%;
        }

        -webkit-animation: loaderAnimation .8s linear infinite;
        animation: loaderAnimation .8s linear infinite;
        content: " ";
        pointer-events: none;
    }

    .item-loader {
        @apply bg-white;
    }
}

